open-iscsi-udeb not built for arm64, armhf or ppc64el

Bug #1274203 reported by dann frazier on 2014-01-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
open-iscsi (Ubuntu)
Undecided
Unassigned

Bug Description

The open-iscsi-udeb build is limited to specific architectures. This stems from a Debian change made in 2012:

open-iscsi (2.0.873-2) unstable; urgency=low

  * [0019fa9] Restrict architecture for the udeb package as its dependency,
    scsi-modules, is not available on all the architecture paltforms

In Ubuntu, the scsi-modules udeb is available for armhf, arm64 or ppc64el - but open-iscsi-udeb is not currently built for these architectures. (As a side note, the kernel builds no scsi-modules udeb - or any other udeb for that matter - for powerpc, yet open-iscsi-udeb is in the list).

Related branches

dann frazier (dannf) on 2014-01-29
tags: added: hs-arm64
dann frazier (dannf) on 2014-01-29
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package open-iscsi - 2.0.873-3ubuntu8

---------------
open-iscsi (2.0.873-3ubuntu8) trusty; urgency=medium

  * open-iscsi-udeb: Enable builds on armhf, arm64, ppc64el, x32 (LP: #1274203)
 -- dann frazier <email address hidden> Wed, 29 Jan 2014 12:34:45 -0700

Changed in open-iscsi (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers